Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.ogcwebservices.wps.capabilities
Class WPSOperationsMetadata

    java.lang.Object
      org.deegree.ogcwebservices.getcapabilities.OperationsMetadata
          org.deegree.ogcwebservices.wps.capabilities.WPSOperationsMetadata

All Implemented Interfaces:
  Serializable

    public class WPSOperationsMetadata

extends OperationsMetadata

WPSOperationsMetadata.java Created on 08.03.2006. 19:26:51h Metadata about the operations and related abilities specified by this service and implemented by this server, including the URLs for operation requests. The basic contents of this section shall be the same for all OWS types, but individual services can add elements and/or change the optionality of optional elements.

Since:
  2.0
Version:
  1.0.
Author:
  Christian Kiehle, Christian Heier
See Also:
  Serialized Form

Field Summary
`static String` | `DESCRIBEPROCESS`
`static String` | `EXECUTE`

Fields inherited from class org.deegree.ogcwebservices.getcapabilities.OperationsMetadata
`constraints, GET_CAPABILITIES_NAME, getCapabilitiesOperation, parameters`

Constructor Summary
`WPSOperationsMetadata(Operation getCapabilitiesOperation, Operation describeProcess, Operation execute, OWSDomainType[] parameters, OWSDomainType[] constraints)`

Method Summary
`Operation` | `getDescribeProcess()`
`Operation` | `getExecute()`
`Operation[]` | `getOperations()` Returns all `Operations` known to the WPS.
`void` | `setDescribeProcess(Operation describeProcess)`
`void` | `setExecute(Operation execute)`

Methods inherited from class org.deegree.ogcwebservices.getcapabilities.OperationsMetadata
`addConstraint, addParameter, getConstraints, getGetCapabilitiesOperation, getParameter, removeParameter, setConstraints, setGetCapabilitiesOperation, setOperationParameter`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DESCRIBEPROCESS

    public static final String DESCRIBEPROCESS

See Also:
  Constant Field Values

### EXECUTE

    public static final String EXECUTE

See Also:
  Constant Field Values

Constructor Detail

### WPSOperationsMetadata

    public WPSOperationsMetadata(Operation getCapabilitiesOperation,
                                 Operation describeProcess,
                                 Operation execute,
                                 OWSDomainType[] parameters,
                                 OWSDomainType[] constraints)

Parameters:
  `getCapabilitiesOperation` -
  `describeProcess` -
  `execute` -
  `parameters` -
  `constraints` -

Method Detail

### getOperations

    public Operation[] getOperations()

  Returns all `Operations` known to the WPS.

  Overrides:
    `getOperations` in class `OperationsMetadata`
  Returns:
    all `Operations` known to the WPS.

### getDescribeProcess

    public Operation getDescribeProcess()

  Returns:
    Returns the describeProcess.

### setDescribeProcess

    public void setDescribeProcess(Operation describeProcess)

  Parameters:
    `describeProcess` - The describeProcess to set.

### getExecute

    public Operation getExecute()

  Returns:
    Returns the execute.

### setExecute

    public void setExecute(Operation execute)

  Parameters:
    `execute` - The execute to set.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org